Description
Contains a list of user accounts configured on the server.
Columns
name (String) — User name.
id (UUID) — User ID.
storage (String) — Path to the storage of users. Configured in the access_control_path parameter.
auth_type (Array(Enum8(‘no_password’ = 0, ‘plaintext_password’ = 1, ‘sha256_password’ = 2, ‘double_sha1_password’ = 3, ‘ldap’ = 4, ‘kerberos’ = 5, ‘ssl_certificate’ = 6, ‘bcrypt_password’ = 7, ‘ssh_key’ = 8, ‘http’ = 9, ‘jwt’ = 10, ‘scram_sha256_password’ = 11, ‘no_authentication’ = 12))) — Shows the authentication types. There are multiple ways of user identification: with no password, with plain text password, with SHA256-encoded password, with double SHA-1-encoded password or with bcrypt-encoded password.
auth_params (Array(String)) — Authentication parameters in the JSON format depending on the auth_type.
valid_until (Array(DateTime)) — The expiration date and time for user credentials.
host_ip (Array(String)) — IP addresses of hosts that are allowed to connect to the ClickHouse server.
host_names (Array(String)) — Names of hosts that are allowed to connect to the ClickHouse server.
host_names_regexp (Array(String)) — Regular expression for host names that are allowed to connect to the ClickHouse server.
host_names_like (Array(String)) — Names of hosts that are allowed to connect to the ClickHouse server, set using the LIKE predicate.
default_roles_all (UInt8) — Shows that all granted roles set for user by default.
default_roles_list (Array(String)) — List of granted roles provided by default.
default_roles_except (Array(String)) — All the granted roles set as default excepting of the listed ones.
grantees_any (UInt8) — The flag that indicates whether a user with any grant option can grant it to anyone.
grantees_list (Array(String)) — The list of users or roles to which this user is allowed to grant options to.
grantees_except (Array(String)) — The list of users or roles to which this user is forbidden from grant options to.
default_database (String) — The name of the default database for this user.
See also
Last modified on July 3, 2026